---
layout: doc
title: Whonix for Privacy & Anonymity
permalink: /doc/whonix/
redirect_from:
- /doc/privacy/whonix/
- /doc/templates/whonix/
- /en/doc/templates/whonix/
- /doc/Templates/Whonix/
- /wiki/Templates/Whonix/
---

Whonix for Privacy & Anonymity
==============================

To improve your privacy and anonymity on the internet, you can install the
Whonix Template on your Qubes machine.

[Whonix](https://www.whonix.org) is based on [Debian](https://www.debian.org)
and [Tor](https://www.torproject.org) and utilizes two VMs, a **"gateway"** and
a **"workstation"**. Qubes security architecture makes use of Whonix's isolation
by using the gateway as a ProxyVM to route all network traffic through Tor,
while the workstation is used for making AppVMs.

## Getting Started with Whonix

To install Whonix, you must have a working Qubes machine already.

*  [Install Whonix in Qubes](/doc/whonix/install/)
*  [Updating Whonix in Qubes](/doc/whonix/update/)

## Customizing, Reinstalling, & Uninstalling Whonix

*  [Customizing Whonix](/doc/whonix/customize/)
*  [Uninstall Whonix from Qubes](/doc/whonix/uninstall/)

*The following links are on Whonix's website and are technical.*

*  [Security Advice for after installing Whonix on Qubes](https://www.whonix.org/wiki/Post_Install_Advice)
*  [How to set up Tor Bridges in Whonix on Qubes](https://www.whonix.org/wiki/Bridges#How_to_use_bridges_in_Whonix)
*  [Using Multiple Whonix-Workstations with Whonix on Qubes](https://www.whonix.org/wiki/Multiple_Whonix-Workstations#Qubes-Whonix)
* [How to use Corridor (a Tor traffic whitelisting gateway) with Whonix](https://www.whonix.org/wiki/Corridor)

## Support for Whonix

*The following links are on Whonix's site.*

*  [Whonix Support](https://www.whonix.org/wiki/Support) - General Whonix, Debian, Tor, etc... related issues
*  [Whonix Qubes Forum](https://forums.whonix.org/c/qubes) - Whonix specific issues

You can also use [Qubes support](/help/), but not all Qubes users run Whonix.

